package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF643 extends MwfRequest<MWF643, MWF643Response> {

    @Parameter(name = "INST_PT_KEY")
    MWF643 instPtKey(Long instPtKey);
    @Parameter(name = "NactiDokladTyp_Flag")
    MWF643 nactiDokladTypFlag(String nactiDokladTypFlag);
    @Parameter(name = "PREV_DOC_INST_KEY_IN")
    MWF643 prevDocInstKeyIn(Long prevDocInstKeyIn);
    @Parameter(name = "REQD_DOC_SRC_IN")
    MWF643 reqdDocSrcIn(String reqdDocSrcIn);
    @Parameter(name = "WAITING_ONLY_FLAG")
    MWF643 waitingOnlyFlag(String waitingOnlyFlag);
    @Parameter(name = "Zadost_KEY")
    MWF643 zadostKEY(Long zadostKEY);
}
